<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('has_homes', function (Blueprint $table) {
            $table->id();
            $table->string('no');
            $table->string('name');
            $table->string('telephone');
            $table->integer('city_id');
            $table->integer('town_id');
            $table->integer('district_id');
            $table->integer('street_id');
            $table->string('apartment_no');
            $table->string('floor');
            $table->string('apartment');
            $table->integer('person_count');
            $table->date('start_date');
            $table->date('end_date');
            $table->text('car_types');
            $table->integer('room_count');
            $table->integer('meter');
            $table->integer('status')->default(2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('has_homes');
    }
};
